package com.hw.wms.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.hw.common.core.annotation.Excel;
import com.hw.common.core.web.domain.BaseEntity;

/**
 * 料箱信息对象 wms_base_container
 * 
 * @author xs
 * @date 2023-12-20
 */
public class WmsBaseContainer extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 料箱ID */
    private Long baseContainerId;

    /** 料箱编码 */
    @Excel(name = "料箱编码")
    private String baseContainerCode;

    /** 仓库ID，关联wms_base_warehouse的warehouse_id */
    @Excel(name = "仓库ID，关联wms_base_warehouse的warehouse_id")
    private Long warehouseId;

    /** 库位编号，关联wms_base_location的location_code */
    @Excel(name = "库位编号，关联wms_base_location的location_code")
    private String locationCode;

    public void setBaseContainerId(Long baseContainerId) 
    {
        this.baseContainerId = baseContainerId;
    }

    public Long getBaseContainerId() 
    {
        return baseContainerId;
    }
    public void setBaseContainerCode(String baseContainerCode) 
    {
        this.baseContainerCode = baseContainerCode;
    }

    public String getBaseContainerCode() 
    {
        return baseContainerCode;
    }
    public void setWarehouseId(Long warehouseId) 
    {
        this.warehouseId = warehouseId;
    }

    public Long getWarehouseId() 
    {
        return warehouseId;
    }
    public void setLocationCode(String locationCode) 
    {
        this.locationCode = locationCode;
    }

    public String getLocationCode() 
    {
        return locationCode;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("baseContainerId", getBaseContainerId())
            .append("baseContainerCode", getBaseContainerCode())
            .append("warehouseId", getWarehouseId())
            .append("locationCode", getLocationCode())
            .append("remark", getRemark())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .toString();
    }
}
